Bug 431721 - Build log not showing manual dependency for subpackages
Build log not showing manual dependency for subpackages
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Panu Matilainen
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-06 12:21 EST by Mamoru TASAKA
Modified: 2009-01-23 12:56 EST (History)
2 users (show)

See Also:
Fixed In Version: rpm-4.4.2.3-1.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-23 12:56:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mamoru TASAKA 2008-02-06 12:21:16 EST
Description of problem:
(A bit long)
For review request (bug 431692) I tried to rebuild
the same srpm (libdstr-20080124-1.fc8.src.rpm) on koji,
on dist-f9 and dist-f8-updates-candidate.
The srpm can be found on
http://mtasaka.fedorapeople.org/Review_request/libdstr/libdstr-20080124-1.fc8.src.rpm

The results of the rebuild are:
for dist-f9:
http://koji.fedoraproject.org/koji/taskinfo?taskID=399004
for dist-f8:
http://koji.fedoraproject.org/koji/taskinfo?taskID=398997

The issue is that for dist-f9, the build.log shows:
http://koji.fedoraproject.org/koji/getfile?taskID=399006&name=build.log
--------------------------------------------------------------------
Processing files: libdstr-devel-20080124-1.fc9
Requires(rpmlib): rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
Requires: libdstr.so.2()(64bit)
--------------------------------------------------------------------
Here "Requires: libdstr = 20080124-1.fc9" is not shown.
On the other hand, on dist-f8-updates-candidate, build.log shows:
--------------------------------------------------------------------
Processing files: libdstr-devel-20080124-1.fc8
Requires(rpmlib): rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
Requires: libdstr = 20080124-1.fc8 libdstr.so.2()(64bit)
---------------------------------------------------------------------


Version-Release number of selected component (if applicable):
rpm-build-4.4.2.3-0.1.rc1
(some rpms which "rpm" depends on are related??)

How reproducible:
100%

Steps to Reproduce:
1. Try rpmbuild on rawhide and watch build log output.
2.
3.
  
Actual results:
Manual dependency written in spec file is not shown on
build log for subpackages.
Comment 2 Mamoru TASAKA 2008-02-17 12:26:35 EST
Just note that this bug still exists on rawhide.
Comment 3 Panu Matilainen 2008-02-18 01:10:50 EST
Yeah, easily reproduced here. Will fix for 4.4.2.3 final...
Comment 4 Parag AN(पराग) 2008-02-27 01:19:31 EST
I see that still -devel packages are not showing Requires: pkgconfig in build.log
Comment 5 Panu Matilainen 2008-04-01 04:20:02 EDT
Fixed in rawhide now...
Comment 6 Mamoru TASAKA 2008-12-15 00:58:48 EST
It seems this problem is again occuring with rpm-4.6.0-0.rc3.2.fc11
Comment 7 Mamoru TASAKA 2008-12-15 00:59:24 EST
At this time not only for subpackages but also for main packages.
Comment 8 Mamoru TASAKA 2009-01-23 12:56:02 EST
I will once close this bug and resubmit a new one.

Note You need to log in before you can comment on or make changes to this bug.